import Foundation
import ReactNativeAdvancedRegistry
@objc
class RNALinking:NSObject, RNSStartable {
    @objc public static func runOnStart(_ application: UIApplication) -> Void {
        print("RNALinking running onStart")
        let _ = RNSMainRegistry.addEvent(type: "app.openedUrl",key: "RNALinking" ) { data in
            guard let url = data as? URL else {return true}
            guard let info = RNSMainRegistry.getData(key: "app.urlinfo") as? [UIApplicationOpenURLOptionsKey : Any]  else {return true}
            RCTLinkingManager.application(application, open: url, options:info)
            return true
        }
        let _ = RNSMainRegistry.addEvent(type: "app.continueActivity", key: "RNALinking") { data in
            guard let dic = data as? [String: Any] else { return false}
            guard let userActivity = dic["userActivity"] as? NSUserActivity else {
                return false
            }
            RCTLinkingManager.application(application, continue: userActivity, restorationHandler:dic["restorationHandler"]! as! ([Any]?) -> Void)
            return true
        }   
    }
}
